Subject: southern mushrooms

From: [email-masked] (Edward Gosfield)
Date: 4 Feb 1995 04:29:31 GMT

latest sales circular from Edward R. Hamilton, Bookseller, Falls Village,
CT 06031-5000 offers "A Field Guide to Southern Mushrooms" by Smith and
Weber, U of Mich Press, for 9.95.  I have dealt with this firm for years,
and they are trustworthy.  No credit cards, no phone.  Send a check, with
$3.00 extra for shipping, or request the January 27 circular to see what
else you want.  You will end up on their mailing list forever.  I once got
a copy of Bigelow's 'Clitocybe Vol 1' from them for about 9 bucks. 

I have no commercial connection blah blah

ted g
[email-masked]